# OpenBSD FDE Setup

This is a condensed version of [OpenBSD FDE
FAQ](https://www.openbsd.org/faq/faq14.html#softraid).

Boot installer, drop to shell with "s"

<pre>
# cd /dev && sh MAKEDEV sd0
# dd if=/dev/urandom of=/dev/rsd0c bs=1m
# fdisk -iy -g -b 960 sd0 # GPT / without -g and -b for MBR
# disklabel -E sd0
</pre>

Note, switch to kbd en before setting the password as this is
what you have on the boot prompt.

<pre>
# bioctl -c C -l sd0a softraid0
# dd if=/dev/zero of=/dev/rsd1c bs=1m count=1
</pre>

Ctrl+D to restart the installer. Choose sd1 as install target.

If sd1 is not present:

<pre>
# cd /dev && sh MAKEDEV sd1
</pre>

When the installer later asks about installing with MBR or GPT layout, 
choose MBR. Even if you boot via UEFI/GPT.
